# frozen_string_literal: true

require 'splinter'

module PeopleGroup
  module Connectors
    class PTORoots
      def initialize
        ::Splinter.configure do |config|
          config.api_key = ENV['PTO_ROOTS_API_KEY']
        end
      end

      def pto(params)
        Splinter::OOOEvents.get_all(params)
      end

      def pto_type(type)
        pto_types.find { |pto_type| pto_type['name'] == type }
      end

      private

      def pto_types
        Splinter::OOOTypes.get_all
      end
    end
  end
end
