# frozen_string_literal: true

module PeopleGroup
  class Utils
    class << self
      def retry_on_error(max_attempts: 3, delay: 0, errors: [StandardError], on_error: -> {})
        attempts = 0

        begin
          yield
        rescue *errors => e
          on_error.call
          sleep delay
          retry if (attempts += 1) < max_attempts
          raise e
        end
      end
    end
  end
end
